import request from '@/utils/request'

// 查询教师信息管理列表
export function listTeacherInfo(query) {
    return request({
        url: '/system/teacherInfo/list',
        method: 'get',
        params: query
    })
}

//教师绑定的班级
export function getClassInfo(query) {
    return request({
        url: '/system/teacherInfo/getClassInfo',
        method: 'get',
        params: query
    })
}

// 查询教师信息管理详细
export function getTeacherInfo(id) {
    return request({
        url: '/system/teacherInfo/' + id,
        method: 'get'
    })
}

// 新增教师信息管理
export function addTeacherInfo(data) {
    return request({
        url: '/system/teacherInfo/add',
        method: 'post',
        data: data
    })
}

// 修改教师信息管理
export function updateTeacherInfo(data) {
    return request({
        url: '/system/teacherInfo/edit',
        method: 'post',
        data: data
    })
}

// 删除教师信息管理
export function delTeacherInfo(id) {
    return request({
        url: '/system/teacherInfo/' + id,
        method: 'delete'
    })
}